Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(29)

Issue 2592323002: Script to compare global variables between two PDBs (Closed)

Created:
2 years, 3 months ago by brucedawson
Modified:
2 years, 2 months ago
Reviewers:
stanisc
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Script to compare global variables between two PDBs This script relies on having the recently added ShowGlobals.exe built and in your path. R=stanisc@chromium.org BUG=630755 Committed: https://crrev.com/cc618746e94bb7503d926317abe6d9c37531d35e Cr-Commit-Position: refs/heads/master@{#440764}

Patch Set 1 #

Total comments: 8

Patch Set 2 : Code review changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+92 lines, -0 lines) Patch
A tools/win/pdb_compare_globals.py View 1 1 chunk +92 lines, -0 lines 0 comments Download

Messages

Total messages: 14 (5 generated)
brucedawson
2 years, 3 months ago (2016-12-22 02:09:05 UTC) #1
stanisc
lgtm with a few nits https://codereview.chromium.org/2592323002/diff/1/tools/win/pdb_compare_globals.py File tools/win/pdb_compare_globals.py (right): https://codereview.chromium.org/2592323002/diff/1/tools/win/pdb_compare_globals.py#newcode47 tools/win/pdb_compare_globals.py:47: def ShowExtras(pdbA, pdbB, nameA, ...
2 years, 3 months ago (2016-12-22 21:13:20 UTC) #2
brucedawson
https://codereview.chromium.org/2592323002/diff/1/tools/win/pdb_compare_globals.py File tools/win/pdb_compare_globals.py (right): https://codereview.chromium.org/2592323002/diff/1/tools/win/pdb_compare_globals.py#newcode47 tools/win/pdb_compare_globals.py:47: def ShowExtras(pdbA, pdbB, nameA, nameB): On 2016/12/22 21:13:20, stanisc ...
2 years, 3 months ago (2016-12-22 21:35:00 UTC) #3
stanisc
https://codereview.chromium.org/2592323002/diff/1/tools/win/pdb_compare_globals.py File tools/win/pdb_compare_globals.py (right): https://codereview.chromium.org/2592323002/diff/1/tools/win/pdb_compare_globals.py#newcode60 tools/win/pdb_compare_globals.py:60: if key in pdbB: On 2016/12/22 21:35:00, brucedawson wrote: ...
2 years, 3 months ago (2016-12-22 21:48:21 UTC) #4
brucedawson
https://codereview.chromium.org/2592323002/diff/1/tools/win/pdb_compare_globals.py File tools/win/pdb_compare_globals.py (right): https://codereview.chromium.org/2592323002/diff/1/tools/win/pdb_compare_globals.py#newcode60 tools/win/pdb_compare_globals.py:60: if key in pdbB: I don't think that works ...
2 years, 3 months ago (2016-12-22 22:03:29 UTC) #5
brucedawson
Okay, variables named and redundant lookups avoided. PTAL.
2 years, 3 months ago (2016-12-23 00:42:40 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2592323002/20001
2 years, 2 months ago (2016-12-27 18:02:38 UTC) #9
commit-bot: I haz the power
Committed patchset #2 (id:20001)
2 years, 2 months ago (2016-12-27 18:13:34 UTC) #12
commit-bot: I haz the power
2 years, 2 months ago (2017-01-02 15:46:28 UTC) #14
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/cc618746e94bb7503d926317abe6d9c37531d35e
Cr-Commit-Position: refs/heads/master@{#440764}

Powered by Google App Engine
This is Rietveld 408576698